/*
 * dirent.h -  POSIX directory functions
 *
 * Copyright (c) 1990 HiSoft
 */
 
#ifndef _DIRENT_H
#define _DIRENT_H

#ifndef _TIME_T
#define _TIME_T
typedef long time_t;
#endif

#ifndef _SIZE_T
#define _SIZE_T
typedef unsigned long size_t;
#endif
 
/* structure pointed to by readdir() */
struct dirent
{
	int d_attr;			/* file attribute */
	time_t d_time;		/* time */
	size_t d_size;		/* file size */
	char d_name[13];	/* directory entry name */
};

typedef struct
{
	long d_length;			/* number of directory entries */
	long d_pos;				/* current position */
	struct dirent *d_names;	/* list of directory entries */
} DIR;

DIR *opendir(const char *filename);
struct dirent *readdir(DIR *);
void closedir(DIR *);
void rewinddir(DIR *);
void seekdir(DIR *,size_t);
long telldir(DIR *);

#ifndef __NO_DIRENT_DEFINES
#define rewinddir(d)	((d)->d_pos=0)
#define seekdir(d,loc)	((d)->d_pos=(loc))
#define telldir(d)		((d)->d_pos)
#endif
#endif
